<?php


namespace App\ViewModels\Agendamento\AgendamentoInfoViewModel;


use App\Utils\Entity;

class AgendamentoInfoViewModel extends Entity
{
    protected $id_usuario;
    protected $id_agenda;
    protected $id_paciente;
    protected $id_cliente;
    protected $id_consulta;

    public static function builder() : AgendamentoInfoViewModelBuilder
    {
        return new AgendamentoInfoViewModelBuilder;
    }

    public function getIdUsuario(): ?int
    {
        return $this->id_usuario;
    }

    public function getIdAgenda(): int
    {
        return $this->id_agenda;
    }

    public function getIdPaciente(): int
    {
        return $this->id_paciente;
    }

    public function getIdCliente(): int
    {
        return $this->id_cliente;
    }

    public function getIdConsulta(): ?int
    {
        return $this->id_consulta;
    }

    public function setIdUsuario(?int $id_usuario): void
    {
        $this->id_usuario = $id_usuario;
    }

    public function setIdAgenda(int $id_agenda): void
    {
        $this->id_agenda = $id_agenda;
    }

    public function setIdPaciente(int $id_paciente): void
    {
        $this->id_paciente = $id_paciente;
    }

    public function setIdCliente(int $id_cliente): void
    {
        $this->id_cliente = $id_cliente;
    }

    public function setIdConsulta(?int $id_consulta): void
    {
        $this->id_consulta = $id_consulta;
    }
}